AOWP_PHPInnerStatementContainerElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 12

# Class AOWP_PHPInnerStatementContainerElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement

All Implemented Interfaces:
  AOWP_IPHPContainerElement

public class AOWP_PHPInnerStatementContainerElement
extends AOWP_PHPElement

Author:
  keiji

Field Summary
mixed | $innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Method Summary
void | getInnerStatements()
void | insertElement(mixed element, mixed indexOrElement)
void | insertElementArray(mixed elementArray, mixed indexOrElement)
void | removeAllElements()
void | removeElement(mixed removedElement)
void | replaceElement(mixed element, mixed replacedElement)
void | replaceElementWithElements(mixed elements, mixed replacedElements)
void | searchElementIndex(mixed element)
void | setElement(mixed element, mixed index)
void | setElements(mixed elements)
void | spliceStatement(mixed addedStatements, mixed index, mixed numberOfRemovedElements)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 14

### innerStatements

`public mixed $innerStatements`

## Method Detail

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 92

### getInnerStatements

`public void getInnerStatements()`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 60

### insertElement

`public void insertElement(mixed element, mixed indexOrElement)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 66

### insertElementArray

`public void insertElementArray(mixed elementArray, mixed indexOrElement)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 51

### removeAllElements

`public void removeAllElements()`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 46

### removeElement

`public void removeElement(mixed removedElement)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 34

### replaceElement

`public void replaceElement(mixed element, mixed replacedElement)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 39

### replaceElementWithElements

`public void replaceElementWithElements(mixed elements, mixed replacedElements)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 57

### searchElementIndex

`public void searchElementIndex(mixed element)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 16

### setElement

`public void setElement(mixed element, mixed index)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 25

### setElements

`public void setElements(mixed elements)`

/parser/ast/util/PHPInnerStatementContainerElement.class.php at line 81

### spliceStatement

`public void spliceStatement(mixed addedStatements, mixed index, mixed numberOfRemovedElements)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr